diff --git a/bus/system.conf.in b/bus/system.conf.in
index ac2822f..1b6e716 100644
--- a/bus/system.conf.in
+++ b/bus/system.conf.in
@@ -50,6 +50,8 @@
even if they aren't in here -->
+
+
diff --git a/test/name-test/Makefile.am b/test/name-test/Makefile.am
index fee1e60..10a2536 100644
--- a/test/name-test/Makefile.am
+++ b/test/name-test/Makefile.am
@@ -10,7 +10,7 @@ else
TESTS=
endif
-EXTRA_DIST=run-test.sh
+EXTRA_DIST=run-test.sh run-test-systemserver.sh test-wait-for-echo.py
if DBUS_BUILD_TESTS
diff --git a/test/name-test/run-test-systemserver.sh b/test/name-test/run-test-systemserver.sh
index fd82326..34dd648 100755
--- a/test/name-test/run-test-systemserver.sh
+++ b/test/name-test/run-test-systemserver.sh
@@ -39,3 +39,12 @@ if ! grep -q 'DBus.Error' echo-error-output.tmp; then
echo "====="
exit 1
fi
+
+echo "running test echo signal"
+if ! python ./test-wait-for-echo.py; then
+ echo "Failed test-wait-for-echo"
+ exit 1
+fi
+
+
+exit 0
diff --git a/test/name-test/tmp-session-like-system.conf b/test/name-test/tmp-session-like-system.conf
index e483c89..96bbf76 100644
--- a/test/name-test/tmp-session-like-system.conf
+++ b/test/name-test/tmp-session-like-system.conf
@@ -29,6 +29,8 @@
even if they aren't in here -->
+
+
@@ -41,6 +43,11 @@
+
+